Index: branches/stable/mondo/src/common/libmondo-devices.h
===================================================================
--- branches/2.05/mondo/mondo/common/libmondo-devices.h (revision 128)
+++ branches/stable/mondo/src/common/libmondo-devices.h (revision 1101)
@@ -2,4 +2,7 @@
  * $Id$
  */
+
+#ifndef LIBMONDO_DEVICES_H
+# define LIBMONDO_DEVICES_H
 
 bool am_I_in_disaster_recovery_mode(void);
@@ -39,6 +42,6 @@
 int eject_device(char *);
 
-char *list_of_NFS_devices_and_mounts();
-char *list_of_NFS_mounts_only();
+char *list_of_NFS_devices_and_mounts(void);
+char *list_of_NFS_mounts_only(void);
 
 void sensibly_set_tmpdir_and_scratchdir(struct s_bkpinfo *bkpinfo);
@@ -60,2 +63,4 @@
 
 char *which_partition_format(const char *drive);
+
+#endif /* LIBMONDO_DEVICES_H */
Index: branches/stable/mondo/src/common/libmondo-tools-EXT.h
===================================================================
--- branches/2.05/mondo/mondo/common/libmondo-tools-EXT.h (revision 128)
+++ branches/stable/mondo/src/common/libmondo-tools-EXT.h (revision 1101)
@@ -1,6 +1,9 @@
-/* libmondo-tools-EXT.h */
+/* $Id$ */
+
+#ifndef LIBMONDO_TOOLS_EXT_H
+# define LIBMONDO_TOOLS_EXT_H
 
 extern void clean_up_KDE_desktop_if_necessary(void);
-extern long get_time();
+extern long get_time(void);
 extern void (*log_debug_msg) (int debug_level, const char *szFile,
 							  const char *szFunction, int nLine,
@@ -18,5 +21,5 @@
 #endif
 extern void log_trace(char *o);
-extern int some_basic_system_sanity_checks();
+extern int some_basic_system_sanity_checks(void);
 
 
@@ -42,6 +45,6 @@
 extern void free_libmondo_global_strings(void);
 
-extern double get_kernel_version();
-extern char *get_architecture();
+extern double get_kernel_version(void);
+extern char *get_architecture(void);
 
 extern bool does_nonMS_partition_exist(void);
@@ -52,2 +55,4 @@
 extern void stop_autofs_if_necessary(void);
 extern void restart_autofs_if_necessary(void);
+
+#endif /* LIBMONDO_TOOLS_EXT_H */
Index: branches/stable/mondo/src/common/newt-specific-EXT.h
===================================================================
--- branches/2.05/mondo/mondo/common/newt-specific-EXT.h (revision 128)
+++ branches/stable/mondo/src/common/newt-specific-EXT.h (revision 1101)
@@ -5,5 +5,5 @@
 extern bool ask_me_OK_or_cancel(char *prompt);
 extern void close_evalcall_form(void);
-extern void close_progress_form();
+extern void close_progress_form(void);
 extern void fatal_error(char *error_string);
 extern void finish(int signal);
@@ -18,6 +18,6 @@
 								 int maxsize);
 extern bool popup_with_buttons(char *p, char *button1, char *button2);
-extern void refresh_log_screen();
-extern void setup_newt_stuff();
+extern void refresh_log_screen(void);
+extern void setup_newt_stuff(void);
 extern void update_evalcall_form_ratio(int num, int denom);
 extern void update_evalcall_form(int curr);
@@ -31,5 +31,5 @@
 
 extern t_bkptype which_backup_media_type(bool);
-extern int which_compression_level();
+extern int which_compression_level(void);
 
 
